/**
 * Copyright (c) 2006, 2008 Oracle and/or its affiliates. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Mohamad Raja - Initial implementation
 */
package org.eclipse.higgins.idas.cp.google;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.eclipse.higgins.configuration.api.ISettingDescriptor;
import org.eclipse.higgins.idas.api.IContext;
import org.eclipse.higgins.idas.api.IContextFactory;
import org.eclipse.higgins.idas.api.IContextId;
import org.eclipse.higgins.idas.api.IdASException;
import org.eclipse.higgins.idas.spi.BasicAttributeSet;

public class GDataContextFactory extends BasicAttributeSet implements IContextFactory
{
    public IContext createContext(IContextId contextID) throws IdASException
    {
        return new GDataContext(contextID);
    }

    public ISettingDescriptor getContextDescriptor(String contextIdName)
        throws IdASException
    {
        return null;
    }

    public Iterator getContexts(String filter) throws IdASException
    {
        return null;
    }

    public String getName() throws IdASException
    {
        return null;
    }

    public String getPolicy() throws IdASException
    {
        return null;
    }

    public List getTypes() throws IdASException
    {
        return null;
    }

    public void setPolicy(String policy) throws IdASException
    {
    }

    public void configure(Map mapGlobalSettings, String strComponentName,
        Map mapComponentSettings, ISettingDescriptor componentDescriptor,
        ISettingDescriptor globalDescriptor) throws Exception
    {

    }

    public ISettingDescriptor getComponentDescriptor()
    {
        return null;
    }
}
